/* SPDX-License-Identifier: GPL-2.0-only */
/*
 * Copyright (C) 2017-2018 HUAWEI, Inc.
 *             https://www.huawei.com/
 */
#ifndef __EROFS_XATTR_H
#define __EROFS_XATTR_H

#include "internal.h"

int erofs_xattr_prefixes_init(struct erofs_sb_info *sbi);
void erofs_xattr_prefixes_cleanup(struct erofs_sb_info *sbi);
int erofs_getxattr(struct vnode *vp, int attrnamespace, const char *name,
    struct uio *uio, size_t *sizep);
int erofs_listxattr(struct vnode *vp, int attrnamespace, struct uio *uio,
    size_t *sizep);
int erofs_get_acl(struct vnode *vp, acl_type_t type, struct acl *aclp);
#endif
